<?php
// START NEWSLATTER SECTION 
$wp_customize->add_section(
	'lz_newslatter',
	array(
		'title'   => __( 'Newslatter', 'gurukul' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	) 
);
//ENABLE/DISABLE Newslatter SECTION
$wp_customize->add_setting(
	'lz_newslatter_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_newslatter_disable',
		array(
			'settings'      => 'lz_newslatter_disable',
			'section'       => 'lz_newslatter',
			'label'         => __( 'Disable Section', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'lz_newslatter', 'lz_newslatter', $color='#f5f5f5');  



// Adding the Label
lzCustomLable($wp_customize, 'lz_newslatter_title_subtitle_heading', 'lz_newslatter', 'Section Title');

//add textarea
lzAddElement($wp_customize, 'lz_newslatter_title', 'lz_newslatter', 'textarea', $label="Title", 'lz_fitness_sanitize_text', 'SUBSCRIBE TO OUR <br><span>NEWSLETTER!</span>');

// Adding the Label
lzCustomLable($wp_customize, 'lz_newslatter_npp_heading', 'lz_newslatter', 'Newslatter Form shortcode');

//add shortcode textbox
lzAddElement($wp_customize, 'lz_newslatter_shortcode', 'lz_newslatter', 'text', $label="Add Shortcode here", 'lz_fitness_sanitize_text', '[form shortcode here]');

// FACEBOOK 
$wp_customize->add_setting('lz_fitness_newslatter_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_newslatter_facebook',
	array(
		'settings'      => 'lz_fitness_newslatter_facebook',
		'section'       => 'lz_newslatter',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'gurukul' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_fitness_newslatter_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_newslatter_twitter',
	array(
		'settings'      => 'lz_fitness_newslatter_twitter',
		'section'       => 'lz_newslatter',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'gurukul' )
	)
);
// You Tube
$wp_customize->add_setting('lz_fitness_newslatter_youtube',	array('default'=> 'https://www.youtube.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_newslatter_youtube',
	array(
		'settings'      => 'lz_fitness_newslatter_youtube',
		'section'       => 'lz_newslatter',
		'type'          => 'url',
		'label'         => __( 'youtube Url', 'gurukul' )
	)
);
// LINKED IN
$wp_customize->add_setting('lz_fitness_newslatter_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_newslatter_linkedin',
	array(
		'settings'      => 'lz_fitness_newslatter_linkedin',
		'section'       => 'lz_newslatter',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'gurukul' )
	)
);
// LINKED IN
$wp_customize->add_setting('lz_fitness_newslatter_pintrest',array('default'=> 'https://pintrest.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_newslatter_pintrest',
	array(
		'settings'      => 'lz_fitness_newslatter_pintrest',
		'section'       => 'lz_newslatter',
		'type'          => 'url',
		'label'         => __( 'pintrest Url', 'gurukul' )
	)
);

// Instagram
$wp_customize->add_setting('lz_fitness_newslatter_instagram', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_newslatter_instagram',
	array(
		'settings'      => 'lz_fitness_newslatter_instagram',
		'section'       => 'lz_newslatter',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'gurukul' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'lz_newslatter_HeadingColor', 'lz_newslatter', 'Heading color', '#000000');
// Span Text color
addColorPalatOption($wp_customize, 'lz_newslatter_TextColor', 'lz_newslatter', 'Span Text color', '#6a9529');
// Newsletter Icon color
addColorPalatOption($wp_customize, 'lz_newslatterIcon_TextColor', 'lz_newslatter', 'Newsletter Icon color', '#6a9529');
// Social Icon color
addColorPalatOption($wp_customize, 'lz_newslatterSocialIcon_TextColor', 'lz_newslatter', 'Social Icon color', '#373737');


// END NEWSLATTER SECTION 
